%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_History
%global pear_channel pear.horde.org

Name:           php-horde-Horde-History
Version:        2.3.6
Release:        4%{?dist}
Summary:        API for tracking the history of an object

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

Patch0:         https://github.com/horde/History/commit/689a0a89e03786d02718f96db269fc04b5d24d65.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-common >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Db) >= 2.0.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
Requires:       php-date
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Db) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Db) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
# Optional and implicitly required:
#      Horde_HashTable

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-history) = %{version}


%description
The Horde_History API provides a way to track changes on arbitrary pieces
of data in Horde applications.


%prep
%setup -q -c

cd %{pear_name}-%{version}
%patch0 -p1 -b .upstream

sed -e 's/md5sum="[^"]*"//' ../package.xml >%{name}.xml

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d date.timezone=UTC \
    --bootstrap bootstrap.php .


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/History
%{pear_phpdir}/Horde/History.php
%{pear_datadir}/%{pear_name}
%{pear_testdir}/%{pear_name}


%changelog
* Wed Aug 05 2020 josef radinger <cheese@nosuchhost.net> - 2.3.6-4
- fix md5sum

* Thu Jun 25 2020 josef radinger <cheese@nosuchhost.net> - 2.3.6-3
- add patch0 (deprecation)

* Mon Jun 22 2020 josef radinger <cheese@nosuchhost.net> - 2.3.6-2
- fix check-section

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.3.6-1
- bump version
- fix check-section

* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 2.3.5-1
- bump version
- add provides php-composer(horde/horde-history)

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.3.4-1
- bump version

* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 2.3.3-1
- bump version

* Tue Oct 28 2014 josef radinger <cheese@nosuchhost.net> - 2.3.2-1
- bump version

* Thu May 22 2014 josef radinger <cheese@nosuchhost.net> - 2.3.1-1
- bump version

* Sat Apr 12 2014 josef radinger <cheese@nosuchhost.net> - 2.3.0-1
- Update to 2.3.0

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 2.2.1-1
- Update to 2.2.1

* Tue Aug 27 2013 Remi Collet <remi@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Mon Aug 05 2013 Remi Collet <remi@fedoraproject.org> - 2.1.6-1
- Update to 2.1.6

* Thu Jul 25 2013 Remi Collet <remi@fedoraproject.org> - 2.1.5-1
- Update to 2.1.5

* Tue Jun 18 2013 Remi Collet <remi@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Sun Feb 10 2013 Remi Collet <remi@fedoraproject.org> - 2.0.1-2
- cleanups for review

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Sat Nov  3 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Mon Jun 25 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.1-2
- Update Requires

* Wed Jun 20 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.1-1
- Upgrade to 1.0.1, fix packaging issues

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.0-1
- Initial package

